This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 305531 - Review Request: bluecurve-gdm-theme - Bluecurve GDM theme
Review Request: bluecurve-gdm-theme - Bluecurve GDM theme
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ArtworkSplit
  Show dependency treegraph
 
Reported: 2007-09-25 13:05 EDT by Ray Strode [halfline]
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 11:39:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
notting: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2007-09-25 13:05:58 EDT
Spec URL:
http://rstrode.fedorapeople.org/bluecurve-gdm-theme/checkout/bluecurve-gdm-theme.spec

SRPM URL:
http://rstrode.fedorapeople.org/bluecurve-gdm-theme/checkout/bluecurve-gdm-theme-1.0.0-1.fc8.src.rpm

Description:
This package contains the classic Bluecurve GDM theme that was shipped in
late versions of Red Hat Linux and early versions of Fedora Core.
Comment 1 Matthias Clasen 2007-09-25 21:18:15 EDT
rpmlint is silent
package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: ok
license file: must be included
spec language: ok
spec readable: yes
upstream sources: no upstream yet
buildable: ok
ExcludeArch: n/a
BRs: must add perl(XML::Parser)
locales: ok
shared libs: n/a
relocatable: n/a
directory ownership: ok
%file: ok
permissions: ok
%clean: ok
macro use: ok
content: permissible
large docs: n/a
%doc: ok
header files: n/a
static libs: n/a
pc files: n/a
shared libs: n/a
devel package: n/a
libtool archives: n/a
gui apps: n/a
directory ownership: ok
%install: ok
utf8 filenames: ok


should the Requires: fedora-logos be Requires: system-logos instead ?

Comment 2 Ray Strode [halfline] 2007-09-25 23:12:12 EDT
adding COPYING and BuildRequires.  

We want fedora-logos because the theme is Fedora branded by design.  Well,
maybe.  The other gdm themes definitely.  Bluecurve is debatable actually.  What
do you think?
Comment 3 Bill Nottingham 2007-09-26 09:43:45 EDT
Well, it doesn't actually use a *trademarked* logo (this is just the old Fedora
font on a big blue background, right?)
Comment 4 Ray Strode [halfline] 2007-09-26 09:47:43 EDT
Okay, yea, let's make this one system-logos then.
Comment 5 Bill Nottingham 2007-09-26 10:01:27 EDT
No, I mean if it's not trademarked, you can just put the graphic in the theme.
Or leave it in fedora-logos, either or.
Comment 6 Ray Strode [halfline] 2007-09-26 10:11:00 EDT
ah right, that's even nicer
Comment 7 Ray Strode [halfline] 2007-09-26 17:02:41 EDT
I made the change suggested in comment 5, fwiw (and the similar change for the
kdm theme)
Comment 8 Matthias Clasen 2007-09-27 14:23:44 EDT
Approved
Comment 9 Ray Strode [halfline] 2007-10-09 11:59:20 EDT
New Package CVS Request
=======================
Package Name: bluecurve-gdm-theme
Short Description: Bluecurve-gdm-theme
Owners: rstrode,davidz
Branches:
InitialCC:
Cvsextras Commits: no
Comment 10 Bill Nottingham 2007-10-09 17:31:50 EDT
done

Note You need to log in before you can comment on or make changes to this bug.